สนับสนุนเว็บ

ผู้เขียน หัวข้อ: [ Apache ] ติดตั้งเว็บเซิร์ฟเวอร์ ​Apache  (อ่าน 315 ครั้ง)

0 สมาชิก และ 1 บุคคลทั่วไป กำลังดูหัวข้อนี้

Permalink: [ Apache ] ติดตั้งเว็บเซิร์ฟเวอร์ ​Apache

18/ธ.ค./13 หัวข้อไอดี: 16040920 | ลิ้งค์หัวข้อ: /topic/16040920

ออฟไลน์ นๅยด้ามขวาน

  • ออฟไลน์
  • 49115
    30336
    64887



  • Administrator
  • *****
  • สมัครสมาชิกเมื่อ 17/07/2009
    YearsYearsYearsYearsYearsYearsYearsYearsYearsYears
  • กระทู้ : 49115
  • Like Post : 64887
  • Peny : 30336
  • 16

    • ดูรายละเอียด


  • เข้าใช้งานล่าสุดเมื่อ 08/ธ.ค./19


ติดตั้งเว็บเซิร์ฟเวอร์ ​Apache

ในบทนี้จะสอนวิธีการติดตั้งไฟล์ rpm เพื่อจะรันเป็นเว็บเซิรฟ์เวอร์ Apache บน CentOS 6.2

โดยจะอธิบายทีละขั้นตอน ถึงวิธีการติดตั้งไฟล์ rpm และการแก้ไขปัญหา

ใส่แผ่นดีวีดีติดตั้ง ใช้คำสั่ง mount แผ่นกับพาธ /mnt

โค๊ด: [Select]
[root@cent6 ~]# mount /dev/cdrom /mnt
mount: block device /dev/sr0 is write-protected, mounting read-only

เข้าไปใน /mnt/Packages/ เพื่อติดตั้งไฟล์ rpm

สำหรับ CentOS ไฟล์ rpm ของ Apache Web Server จะมีชื่อไฟล์ขึ้นต้นด้วย httpd

โค๊ด: [Select]
[root@cent6 ~]# cd /mnt/Packages/
[root@cent6 Packages]# ls -l httpd*
-rw-r--r--. 2 500 500 828156 Dec 9 03:06 httpd-2.2.15-15.el6.centos.x86_64.rpm
-rw-r--r--. 4 500 500 150236 Dec 9 03:06 httpd-devel-2.2.15-15.el6.centos.i686.rpm
-rw-r--r--. 2 500 500 150200 Dec 9 03:06 httpd-devel-2.2.15-15.el6.centos.x86_64.rpm
-rw-r--r--. 2 500 500 799272 Dec 9 03:06 httpd-manual-2.2.15-15.el6.centos.noarch.rpm
-rw-r--r--. 2 500 500 71296 Dec 9 03:06 httpd-tools-2.2.15-15.el6.centos.x86_64.rpm

ไฟล์ที่จำเป็นต้องติดตั้งเพื่อรันเป็นเว็บเซิร์ฟเวอร์คือ httpd กับ httpd-tools

ใช้คำสั่ง rpm -i เพื่อติดตั้งไฟล์ httpd

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i httpd-2.2.15-15.el6.centos.x86_64.rpm
error: Failed dependencies:
 /etc/mime.types is needed by httpd-2.2.15-15.el6.centos.x86_64
 apr-util-ldap is needed by httpd-2.2.15-15.el6.centos.x86_64
 httpd-tools = 2.2.15-15.el6.centos is needed by httpd-2.2.15-15.el6.centos.x86_64
 libapr-1.so.0()(64bit) is needed by httpd-2.2.15-15.el6.centos.x86_64
 libaprutil-1.so.0()(64bit) is needed by httpd-2.2.15-15.el6.centos.x86_64

ต้องลงไฟล์ rpm อื่นก่อน ที่เห็นชัดพอจะเดาได้คือ httpd-tools

ลองลง httpd-tools ดู

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i httpd-tools-2.2.15-15.el6.centos.x86_64.rpm
error: Failed dependencies:
 libapr-1.so.0()(64bit) is needed by httpd-tools-2.2.15-15.el6.centos.x86_64
 libaprutil-1.so.0()(64bit) is needed by httpd-tools-2.2.15-15.el6.centos.x86_64

ก็จำเป็นต้องลง libapr กับ libaprutil ก่อน ลองหาข้อมูลบนอินเตอร์เน็ต สองไฟล์นี้อยู่ในไฟล์ rpm ที่มีชื่อ apr กับ apr-util

ใช้คำสั่ง ls ดูไฟล์ในแผ่นที่ขึ้นต้นด้วย apr

โค๊ด: [Select]
[root@cent6 Packages]# ls -l apr-*
-rw-r--r--. 4 500 500 132120 Sep 28 2011 apr-1.3.9-3.el6_1.2.i686.rpm
-rw-r--r--. 2 500 500 126336 Sep 28 2011 apr-1.3.9-3.el6_1.2.x86_64.rpm
-rw-r--r--. 4 500 500 180328 Sep 28 2011 apr-devel-1.3.9-3.el6_1.2.i686.rpm
-rw-r--r--. 2 500 500 180300 Sep 28 2011 apr-devel-1.3.9-3.el6_1.2.x86_64.rpm
-rw-r--r--. 4 500 500 91196 Jul 6 2011 apr-util-1.3.9-3.el6_0.1.i686.rpm
-rw-r--r--. 2 500 500 89340 Jul 6 2011 apr-util-1.3.9-3.el6_0.1.x86_64.rpm
-rw-r--r--. 4 500 500 70424 Jul 6 2011 apr-util-devel-1.3.9-3.el6_0.1.i686.rpm
-rw-r--r--. 2 500 500 70420 Jul 6 2011 apr-util-devel-1.3.9-3.el6_0.1.x86_64.rpm
-rw-r--r--. 2 500 500 15824 Jul 6 2011 apr-util-ldap-1.3.9-3.el6_0.1.x86_64.rpm

สำหรับ apr จะมีสองไฟล์ ลงท้ายด้วย i686.rpm กับ x86_64.rpm

    ไฟล์ rpm ที่ลงท้ายด้วย i686.rpm สำหรับลงบนลีนุกซ์ 32 bit
    ไฟล์ rpm ที่ลงท้ายด้วย x86_64.rpm สำหรับลงบนลีนุกซ์ 64 bit

ในที่นี้เลือกไฟล์ลงท้ายด้วย x86_64.rpm

ติดตั้งไฟล์ rpm ของ apr กับ apr-util

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i apr-1.3.9-3.el6_1.2.x86_64.rpm
[root@cent6 Packages]# rpm -i apr-util-1.3.9-3.el6_0.1.x86_64.rpm

ลองติดตั้ง httpd-tools อีกครั้ง

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i httpd-tools-2.2.15-15.el6.centos.x86_64.rpm
ติดตั้งสำเร็จ ลองติดตั้ง httpd อีกครั้ง

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i httpd-2.2.15-15.el6.centos.x86_64.rpm
error: Failed dependencies:
 /etc/mime.types is needed by httpd-2.2.15-15.el6.centos.x86_64
 apr-util-ldap is needed by httpd-2.2.15-15.el6.centos.x86_64

ยัง error อยู่ ต้องติดตั้งไฟล์ rpm เพิ่มเติม ที่พอเดาได้เพิ่มเติมคือ apr-util-ldap

หาไฟล์ในแผ่นที่ขึ้นต้นด้วย apr-util-ldap แล้วลองติดตั้ง

โค๊ด: [Select]
[root@cent6 Packages]# ls -l apr-util-ldap*
-rw-r--r--. 2 500 500 15824 Jul 6 2011 apr-util-ldap-1.3.9-3.el6_0.1.x86_64.rpm

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i apr-util-ldap-1.3.9-3.el6_0.1.x86_64.rpm
ส่วน /etc/mime.types ลองหาข้อมูลบนอินเตอร์เน็ตดู จะพบข้อมูลว่าอยู่ในไฟล์ rpm ที่ชื่อ mailcap

หาไฟล์ในแผ่นที่ขึ้นต้นด้วย mailcap แล้วติดตั้ง

โค๊ด: [Select]
[root@cent6 Packages]# ls -l mailcap*
-rw-r--r--. 2 500 500 27280 Sep 26 2011 mailcap-2.1.31-2.el6.noarch.rpm

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i mailcap-2.1.31-2.el6.noarch.rpm
ลองติดตั้ง httpd อีกครั้ง ก็จะติดตั้งสำเร็จ

โค๊ด: [Select]
[root@cent6 Packages]# rpm -i httpd-2.2.15-15.el6.centos.x86_64.rpm
ทดลองรัน httpd ตามด้วยออปชั่น ‘-v’ เพื่อแสดงเวอร์ขั่นของ Apache Web Server ที่ติดตั้ง

โค๊ด: [Select]
[root@cent6 ~]# httpd -v
Server version: Apache/2.2.15 (Unix)
Server built: Dec 8 2011 18:10:49

ข้อมูลอ้างอิง
คุณไม่สามารถมองเห็น links ได้ กรุณา.สมัครสมาชิก หรือ เข้าสู่ระบบ
http://spalinux.com/2012/04/install-apache-web-server

LikePost โดย 0 สมาชิก :


 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 
ร่วมขับเคลื่อนโดย